メインコンテンツへスキップ
GET /api/v1/forward/channels 認証済みアカウントが所有する Channel レコードを返します。

Headers

HeaderRequiredDescription
AuthorizationYesBearer <PAT>

Query parameters

ParameterTypeRequiredDefaultDescription
channel_typestringNo-wechatqqwecomfeishu、または dingtalk でフィルターします。
enabledbooleanNo-手動での有効状態でフィルターします。
binding_statusstringNo-unboundbound、または expired でフィルターします。
identity_idstringNo-Forward Identity ID でフィルターします。
template_idstringNo-Forward Template ID でフィルターします。
limitintegerNo201 ページあたりの件数。最大 100。
after_idstringNo-指定した Channel ID より後のレコードを取得するためのカーソル。
before_idstringNo-指定した Channel ID より前のレコードを取得するためのカーソル。

Example request

curl -s -X GET 'https://api.qoder.com/api/v1/forward/channels?identity_id=idn_019eabc123&limit=20' \
  -H "Authorization: Bearer $QODER_PAT"

Example response

HTTP 200 OK
{
  "data": [
    {
      "id": "channel_019eabc123",
      "type": "channel",
      "identity_id": "idn_019eabc123",
      "template_id": "tmpl_support",
      "channel_type": "feishu",
      "name": "Support Feishu channel",
      "enabled": true,
      "binding_status": "bound",
      "channel_config": {
        "response_options": {
          "include_tool_calls": false,
          "include_thinking": false
        }
      },
      "created_at": "2026-06-18T10:00:00Z",
      "updated_at": "2026-06-18T10:00:00Z"
    }
  ],
  "first_id": "channel_019eabc123",
  "last_id": "channel_019eabc123",
  "has_more": false
}

Response fields

FieldTypeDescription
dataarray現在のページの Channel オブジェクト。
first_idstring|nullこのページの最初の Channel の ID。
last_idstring|nullこのページの最後の Channel の ID。
has_morebooleanさらにレコードが残っているかどうか。

Errors

HTTPTypeCodeTrigger
400invalid_request_errorinvalid_paginationページネーションパラメーターが無効です。
400invalid_request_errorchannel_type_unsupportedチャネルタイプのフィルターがサポートされていません。
401authentication_errorauthentication_requiredPAT が無効または期限切れです。

Notes

  • after_idbefore_id は同時に指定できません。
  • チャネルは呼び出し元のアカウント境界内でのみ返されます。

チャネルの作成

チャネルの取得